Subject: Re: t7063 failure on FreeBSD 10.3 i386/amd64

From: Eric Wong <[email-masked]>
Date: Wed, 20 Jul 2016 03:02:26 +0000

Duy Nguyen <[email-masked]> wrote:
> On Tue, Jul 19, 2016 at 12:54 AM, Eric Wong <[email-masked]> wrote:
> > Oops, forgot to Cc some folks who worked on this :x
> >
> > Filesystem is ufs and it fails regardless of whether
> > soft-updates is enabled or not.
> 
> Nothing stands out to my eyes, so I'm going to install freebsd this
> weekend. I hope ufs does not have any nasty surprise for me. Stay
> tuned.

Thanks, this problem might be ufs-specific, tmpfs is fine.
Tested tmpfs with:

	kldload tmpfs
	mkdir /tmp/tmpfs
	mount -t tmpfs tmpfs /tmp/tmpfs

(Documenting all this since much of this is new to me)

I noticed FreeBSD now provides ready-to-run VM images along with
normal installation stuff, including qcow2 ones for QEMU users,
so that saves some time.

http://ftp.freebsd.org/pub/FreeBSD/releases/VM-IMAGES/10.3-RELEASE/amd64/Latest/FreeBSD-10.3-RELEASE-amd64.qcow2.xz

Notes:

* "-net user" because I'm lazy (ICMP ping won't work out-of-the-box)

* kvm can be substituted for qemu-system-$ARCH for the KVM-less
  or users lacking write access to /dev/kvm

* hostfwd=... allows me to ssh into port 22215 from my Linux host
  to hit port 22 in the guest

* "dhclient vtnet0 && pkg install git gettext gmake python libiconv"
  should be enough to get started

kvm -smp 8 -m 2048 \
	-drive if=virtio,file=FreeBSD-10.3-RELEASE-amd64.qcow2 \
	-net nic,model=virtio \
	-net user,hostfwd=tcp:127.0.0.1:22215-:22 \
	-display curses